## urpo 0.9

=== src/Makefile ===
#############################################################################
# Makefile for building: urpo
# Generated by qmake (2.01a) (Qt 4.6.2) on: ma kes 21 21:28:22 2010
# Project:  urpo.pro
# Template: app
# Command: /usr/bin/qmake-qt4 -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile urpo.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I.
LINK          = g++
LFLAGS        = 
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		urpomainwindow.cpp \
		urpoconnection.cpp \
		urpoconnectionsettings.cpp \
		urpoprocess.cpp \
		urpojob.cpp \
		printerlistjob.cpp \
		cerrdebugmonitor.cpp \
		printwidget.cpp \
		debugconsole.cpp \
		settingsdialog.cpp \
		printjob.cpp moc_urpomainwindow.cpp \
		moc_urpoprocess.cpp \
		moc_urpojob.cpp \
		moc_printerlistjob.cpp \
		moc_cerrdebugmonitor.cpp \
		moc_printwidget.cpp \
		moc_debugconsole.cpp \
		moc_settingsdialog.cpp \
		moc_printjob.cpp \
		qrc_urpo.cpp
OBJECTS       = main.o \
		urpomainwindow.o \
		urpoconnection.o \
		urpoconnectionsettings.o \
		urpoprocess.o \
		urpojob.o \
		printerlistjob.o \
		cerrdebugmonitor.o \
		printwidget.o \
		debugconsole.o \
		settingsdialog.o \
		printjob.o \
		moc_urpomainwindow.o \
		moc_urpoprocess.o \
		moc_urpojob.o \
		moc_printerlistjob.o \
		moc_cerrdebugmonitor.o \
		moc_printwidget.o \
		moc_debugconsole.o \
		moc_settingsdialog.o \
		moc_printjob.o \
		qrc_urpo.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		urpo.pro
QMAKE_TARGET  = urpo
DESTDIR       = 
TARGET        = urpo

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: urpo.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile urpo.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/debug.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile urpo.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/urpo1.0.0 || $(MKDIR) .tmp/urpo1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/urpo1.0.0/ && $(COPY_FILE) --parents urpomainwindow.h urpoconnection.h urpoconnectionsettings.h urpoprocess.h urpojob.h printerlistjob.h cerrdebugmonitor.h printwidget.h debugconsole.h settingsdialog.h printjob.h .tmp/urpo1.0.0/ && $(COPY_FILE) --parents urpo.qrc .tmp/urpo1.0.0/ && $(COPY_FILE) --parents main.cpp urpomainwindow.cpp urpoconnection.cpp urpoconnectionsettings.cpp urpoprocess.cpp urpojob.cpp printerlistjob.cpp cerrdebugmonitor.cpp printwidget.cpp debugconsole.cpp settingsdialog.cpp printjob.cpp .tmp/urpo1.0.0/ && $(COPY_FILE) --parents urpo_fi.ts .tmp/urpo1.0.0/ && (cd `dirname .tmp/urpo1.0.0` && $(TAR) urpo1.0.0.tar urpo1.0.0 && $(COMPRESS) urpo1.0.0.tar) && $(MOVE) `dirname .tmp/urpo1.0.0`/urpo1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/urpo1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_urpomainwindow.cpp moc_urpoprocess.cpp moc_urpojob.cpp moc_printerlistjob.cpp moc_cerrdebugmonitor.cpp moc_printwidget.cpp moc_debugconsole.cpp moc_settingsdialog.cpp moc_printjob.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_urpomainwindow.cpp moc_urpoprocess.cpp moc_urpojob.cpp moc_printerlistjob.cpp moc_cerrdebugmonitor.cpp moc_printwidget.cpp moc_debugconsole.cpp moc_settingsdialog.cpp moc_printjob.cpp
moc_urpomainwindow.cpp: urpomainwindow.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) urpomainwindow.h -o moc_urpomainwindow.cpp

moc_urpoprocess.cpp: urpoprocess.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) urpoprocess.h -o moc_urpoprocess.cpp

moc_urpojob.cpp: urpoprocess.h \
		urpojob.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) urpojob.h -o moc_urpojob.cpp

moc_printerlistjob.cpp: urpojob.h \
		urpoprocess.h \
		printerlistjob.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) printerlistjob.h -o moc_printerlistjob.cpp

moc_cerrdebugmonitor.cpp: cerrdebugmonitor.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) cerrdebugmonitor.h -o moc_cerrdebugmonitor.cpp

moc_printwidget.cpp: printwidget.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) printwidget.h -o moc_printwidget.cpp

moc_debugconsole.cpp: debugconsole.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) debugconsole.h -o moc_debugconsole.cpp

moc_settingsdialog.cpp: settingsdialog.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) settingsdialog.h -o moc_settingsdialog.cpp

moc_printjob.cpp: urpojob.h \
		urpoprocess.h \
		printjob.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) printjob.h -o moc_printjob.cpp

compiler_rcc_make_all: qrc_urpo.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_urpo.cpp
qrc_urpo.cpp: urpo.qrc \
		urpo_fi.qm \
		help/gpl.html \
		help/index.html \
		help/index_fi.html
	/usr/bin/rcc -name urpo urpo.qrc -o qrc_urpo.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean 

####### Compile

main.o: main.cpp urpomainwindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

urpomainwindow.o: urpomainwindow.cpp urpomainwindow.h \
		urpoconnectionsettings.h \
		urpoconnection.h \
		printerlistjob.h \
		urpojob.h \
		urpoprocess.h \
		debugconsole.h \
		printwidget.h \
		printjob.h \
		settingsdialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o urpomainwindow.o urpomainwindow.cpp

urpoconnection.o: urpoconnection.cpp urpoconnection.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o urpoconnection.o urpoconnection.cpp

urpoconnectionsettings.o: urpoconnectionsettings.cpp urpoconnectionsettings.h \
		urpoconnection.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o urpoconnectionsettings.o urpoconnectionsettings.cpp

urpoprocess.o: urpoprocess.cpp urpoprocess.h \
		urpoconnection.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o urpoprocess.o urpoprocess.cpp

urpojob.o: urpojob.cpp urpojob.h \
		urpoprocess.h \
		urpoconnection.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o urpojob.o urpojob.cpp

printerlistjob.o: printerlistjob.cpp printerlistjob.h \
		urpojob.h \
		urpoprocess.h \
		urpoconnection.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o printerlistjob.o printerlistjob.cpp

cerrdebugmonitor.o: cerrdebugmonitor.cpp cerrdebugmonitor.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o cerrdebugmonitor.o cerrdebugmonitor.cpp

printwidget.o: printwidget.cpp printwidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o printwidget.o printwidget.cpp

debugconsole.o: debugconsole.cpp debugconsole.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o debugconsole.o debugconsole.cpp

settingsdialog.o: settingsdialog.cpp settingsdialog.h \
		urpoconnectionsettings.h \
		urpoconnection.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o settingsdialog.o settingsdialog.cpp

printjob.o: printjob.cpp printjob.h \
		urpojob.h \
		urpoprocess.h \
		urpoconnection.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o printjob.o printjob.cpp

moc_urpomainwindow.o: moc_urpomainwindow.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_urpomainwindow.o moc_urpomainwindow.cpp

moc_urpoprocess.o: moc_urpoprocess.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_urpoprocess.o moc_urpoprocess.cpp

moc_urpojob.o: moc_urpojob.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_urpojob.o moc_urpojob.cpp

moc_printerlistjob.o: moc_printerlistjob.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_printerlistjob.o moc_printerlistjob.cpp

moc_cerrdebugmonitor.o: moc_cerrdebugmonitor.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_cerrdebugmonitor.o moc_cerrdebugmonitor.cpp

moc_printwidget.o: moc_printwidget.cpp
