## urpo 0.9.2-1

=== debian/changelog ===
urpo (0.9.2-1) unstable; urgency=low

  * A bugfix release
  * Detects the language setting of the device correctly even if language and location don't match
  * File selection dialog for the private key starts from /home/user/.shh/ 
  * Fixes an error in the help files' instructions on how to transfer the public key to the remote computer
  * Allows entering the printer name manually
  * Extends the timeouts of connecting to the remote server to 30 seconds
  * Now includes a proper copyright file
  * No longer installs (no-good) readme files  

 -- Heli Hyvättinen <helihyvattinen@kymp.net>  Tue, 7 Sep 2010 14:47:00 +0300

urpo (0.9-3) unstable; urgency=low

  * Fixed dependencies again...

 -- Heli Hyvättinen <helihyvattinen@kymp.net>  Tue, 20 Jul 2010 01:53:20 +0300

urpo (0.9-1ubuntu1) lucid; urgency=low

  * 

 -- Heli Hyvättinen <helihyvattinen@kymp.net>  Tue, 20 Jul 2010 01:20:56 +0300

urpo (0.9-2) unstable; urgency=low

   Fixed dependencies and added the desktop icon (hopefully...)
  *

 -- Arto Hyvättinen <arto.hyvattinen@gmail.com>  Sun, 18 Jul 2010 07:05:36 +0300
