=== debian/control ===
Source: urpo
Priority: extra
Maintainer: Arto Hyvättinen <arto.hyvattinen@gmail.com>
Build-Depends: debhelper (>= 7),libqt4-dev
Standards-Version: 3.8.3
Homepage: http://urpo.garage.maemo.org/

Package: urpo
Architecture: any
Section: user/utilities
Depends: ${shlibs:Depends}, ${misc:Depends},libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-core (>= 4.6.2~git20100401), libqt4-gui (>= 4.6.2~git20100401), libstdc++6 (>= 4.2.1), openssh-client
Homepage: http://urpo.garage.maemo.org/
Description: Remote printing via SSH and CUPS 
 URPO utility for remote printing of files.
 A computer running SSH server and CUPS (Common Unix Printing System) required. 
 These are available for any Linux distribution.
 Any format supported by CUPS (text file, pdf. jpg, gif, png etc.) is printable.
XB-Maemo-Upgrade-Description: Remote printing via SSH and CUPS
 URPO utility for remote printing of files.
 A computer running SSH server and CUPS (Common Unix Printing System) required. 
 These are available for any Linux distribution.
 Any format supported by CUPS (text file, pdf. jpg, gif, png etc.) is printable. 
 New in this version:
 Corrected detecting the language setting of the device.
 The file choosing dialog for the private key now starts from /home/user/.ssh.
 Instructions for the setup of the SSH keypair corrected.
 The timeout for connecting to remote computer extended to 30 seconds.
 Allows writing the printer name.         
XSBC-Bugtracker: https://garage.maemo.org/projects/urpo/
XB-Maemo-Display-Name: URPO Remote Printing
XB-Maemo-Display-Name-fi_FI: Urpo etätulostus
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oGFRQwJoGSf0YAAAAZdEVYdENvbW1lbnQAQ3JlYXRlZCB3aXRoIEdJ
 TVBXgQ4XAAASIUlEQVRo3m2aa4xk11Xvf2vvfc6pR3d1z4wdj+PYwbFN4igm
 EAfycILhElAYkHglASkICOIDCIQS8QGkKIjXhyB0E12eEvciEAgJXe7lGQQi
 PAJSMAKS4BCQyRjFduwZY08/q6vqnLP3XosP+1RVz4SSStVVdXqf9fyv/1qr
 5Lt+wC6rIqqICOYd4hx4Xz5TxVSRvYukf/zYd3/vWx75slcjDA8RALPyzmz9
 t+G8I4SAE5GclZwVVcMAhyDe4YTNZwD/8fTrfvbi7W8+U4XhGJyDUIH3YIqp
 QU6QcnkfgkfycP9B4CKZgPPD/cBme+hDr3n5oz/zM+/9OrO16DcLvn6qgRMI
 oTxTLjdVA1NAimAi5b0Bqti7v+dP/hew5NzRSDlrbTEMMyvKiSDBe6S8xQlY
 VgQtX4og3mNgzjkhq9F15STn2FhOKMKxVqAYAdWt0ClB1q3A3pUzdK24ZgQn
 SPGvbGQEEVRAbG2scxo6A/O+COoc4h2ihmRFcsZMcdMdyb/za99xZXF2evf6
 ENVyExkEv/VhVgTWvJZibdJzXlt/MPz9xL/96rfH7mhrUkCKp9y5c2XjbQFn
 Wo4OAQmhxL9ziCmo4rJiFy6R56ef/cHF4uRBOR8yWg4xOeeKc6+qkK28F9l+
 vfbCeWuaIYv559/btQf1YFgngrghEoZQdmqIKQ7BiSFhHfND4pbbJ8hs8sHF
 Hrzz2fuAOLB8LnxsK/OtjtDBA/ibvYAMyT78wzqMRByI21wpUuSScv0m9m0w
 hgDBbJu4ziEhAFKU0EGIlJGsiveOwUPkDOqKqUTOCX+LJqollDZJb4CCuXMh
 NLwKDpGCHyZbzw1XiSpmhrjiOXMeCSKIDQi0TubgixxpUDQnJOdMzop3RXDV
 bbI694URtJYr5/KsQkGJDCUjByXO54OIQ8ppbvCADWeXyC3xb7b1jgURDCvJ
 rFogUwQXQrkISmhpNnLOZAXni+U1bZXwbm2nL9RircDa77KG2jXMrGHRyRBH
 5WMnm9ATM3QbaiCugE4YhCwJXeJM8hBSfohd7xERR1IlxaLQUFhIeYjzNQ7/
 N2GUc7nOuVtqhxZbr9NBZLhRSWBcERItcrmhYJpRCq73WJACVWJWLG8Gmre1
 1nukqpFQVThcEdigqsCHIcYHBcTf4oXzeZCL0uvitU5ed04hEYeUJHYDhK7t
 YaqbImiuMAYTQQKCGCbjiWgzIpoiRsFaV2iFXL6L2DQ1oapKbqRy040SA+av
 K2xJyJsdkVKpyms0GmC6FMRNaHjq5oKOxigGozFWVZAzZgMzaFcWnBPzoTgu
 GEhVif7FR779XXsz3lBOlw1OO+d47C8rqyv/iqapCQFyd7MS64TOeRDc8QUa
 pLQV+LxntvypKHD1Mz/6AQw1gclkjHfeYuxZtSti3+uXfPn/+Snvcd5hOWPB
 zOzTn/ydCz/8Q+/4n1/91f/jFmJmqBl13fC+970P54RmVG7c9RBjuTaEcn2M
 Jdb9kIU3VeDh+6bZ4Pr2OYRTjGof/OD7v9E7j3PCzs4OYPSxp21bUOXd3/kt
 zdu/+fd/fI1IYf+ipGB//gNXrvwSasWRMsBI4TdKCDVmxic+8ThXrrwbENq2
 J/YR5x1N0+B9RddFTBVfBYIPyBDEpkZWw4ljZ2dKjIm+j6gaVVUNCpZwb+oR
 3nt88IzHo62XahAR+/CHf/rr/urv+IkYDTMx+corq7seff2vPPvww68zcUMZ
 2RBl2fCUs/mClBXvhBAchtG2StcpzjlGowAYXaeYCaFyOHHniplhCuNxhTho
 20xKRhUc4tbhJTT1hKxGXTt2poGYlOUykZMiThiPHb/6vz/6y/e+8v2/ESOE
 F19Y6Rvf+AYeeeTNMuAr21q+LZ7rpFPbwqgAiyX0fYnt8bjEetsWAwzGRYea
 kXIJt/EEFgtIsdQU77co1XcFEMZj2N2FroXTUyMEIVQlBH/zt/62slK7CKFy
 gsiGx8vA5TlHvjinmLNyM9OCQJNJcXHXwWoFo1ERvOvK/w38akP4+gjj4R46
 0Aq39oAMDFZhtWz5yB//I01T89ovfYiPfvQvuftld/C2t30FIE4V50o/YHgn
 G26+7oY23hgqp2E4EZTtDS0VAXd2ihJta5gJo3GxdoqD0s5KZklRvuvBBbC2
 eGx93pqimMELN+Z867e9leef7/nd//uHfO/3vZP/vH59AADnRPDOUcLUuVBI
 2tD92GDllLaNiJpsaMMaYXIu4RMjTKdQ10I7eKKpiyG6HrLKTRR8tdp2WTmd
 g+EBilXh3lfczqc+dY3j4453vuudfOZfPsdkss+qBTUR5/Ah4MNrX7tv///3
 /ohnnnl+A3c6EA8zQxVGowbvAs77dbUsCGOC6jppa6pQcXa2YLVqGU+mhFCz
 WCwJoaKqmgFKMylnLl26jbP5gq7rGI3GpJwJPrBaLUk5cfHiRdrVitOTqzgv
 7O3NuHbtBl3XslhwEip88FjICpPxmL39vUEB2SqixfW/8PO/yGrVbhTwPuB9
 wLmiSPGMUNUNdT1icbZg1fbMZnsD5EYm4wk+VGQ1UszszvYQhLOzBc1ohBkE
 Hzg+PuI973kPOzt7pKiMp7tMJyOapiHGFu8Ddd3Q1PisaDg/ASiWLZ20AC4I
 Io6Dgxuczs9QNa5c+fqC0754xIlHnAwoVTwxGjXM5wtWq8z+/h5d15OzMB6P
 QDwxli5nb2+H4+MFJydn/MeTn8NXnsODU3wYodnR9Qnw1M2UnCMxQQg1o9HY
 icPHFhdMQbOiqkPiFh5QIFzwzpfwqGruvPOlfOhDP8FqBX3fI2Ibgsa2+UEE
 Ro1wdAyrlbG3J5yclrivauh7oW2Ny5cDJyfCwcEZH/jAhwjB46sVIYxJueTW
 aDQBAjH1OAlUVaBpxq7vCasVOaghqoqaISiSDRErFNW5oZcVnHM89NCDA/8x
 FotM1ylNMyIEwXmoayNUBX26Hi5dEo6OlYMDYbYHR0cD8RuS//RUCAFG413G
 4xniHCGsqKoJbbfCLDCd7pFSJGdh1IxpRoGU8MsFQRUJDJzH1LD1sIWihKgN
 fSr0feJbv+UKIkYzElJaklKk7c7QXBR0XghBBvKmqHomE89y1XFwWDObwXPP
 wWjkiclYLGvuu69BFV7/FW/g048/QdO0VPWUg8M5zo0Qqem6jqoeM56MadsF
 i2Xy+4ZvGgibNnUg27Jumm2Ym6RESpmqqviat305qxWcnKz47NXP4QYvxah0
 qwyuoqpqvJdSZZwnRWEyHXF6eoODgx2aRjk5rRiNhJMT5Z577qLr4KsefZjP
 fvYFxpOM4VkslTtecjtdH0FqppMpfew4Pp5jJq6pCX0PYTpFTg/miyevPlnn
 rN42/WCZZ3gXiDHKW9/6Zmnb4v7/97t/jmppMUUcVV2s2LYdMRpVNaGum1Jf
 vMcsMJnMODx6BtUZZpnRaEaMmX/51xMuXdyjbmr29+8EJly7dmqHh0uaZsLJ
 8QGz2YTF8kVeeP5ZQhXmo9Gu9ZGgCqFyOnr1oz93/4d/6pG/Nu3vt82sU4bR
 h2CIveUtb6pWK0MN3v71XzXw/mJpNyAXyKAIrLqStE3j8F5oO6GqXsHRkQPJ
 HB46dnYcp3OYTOHoULh0+z02mUb7xCefJsUlTz/9PNARvPLUU1ctxrl/6HU/
 9pMvucvNTa3e3RWT7/8Ru08ESfHUl2I+MB8DM3EG7rGP/97+b//61/71S196
 FzkbeYO9suFK6/mN99vmZtXC2VnhTKORkAdkOTouNOXoqKDW3p7w+WdhcaaE
 Wj797/9Oe889nB0cML/tNk6vXrUzETuLkUVKbjGZSDuZ0PY9XVh3Uc7NTIQs
 hd0am6GS2cNfMv/O17zmLtoWHn/8Kf70T/+Gtu0H3mL4UAMO5wLeV9T1iPFk
 F5EaqOmjI0ZjOp2xO5uhWtFHQW2Hpqm5/p+wXJpNpk7qxl61tyfz1YqD++7j
 xqf+GVc3Ysslqa6It91GjJHU9wRVUlhPFDYdlK6nG2U6Udei7/i2Rx7tuiLs
 G990L4+86d6bmvaoW0607srODQVwvnx2dFSsP5kUVvrM5+HFG8YddwrjsUhK
 2NlC6vsf4JLA7mc+Q11V0Heky3cQzejblj4rocz78CGlzSR6Q6F1HRlikk36
 L7r3pXe3reGc8Ae//w888cRVQqgBwQ1Vef1+8Cddr8ToMWsQmdCMZ+zuXmS6
 03A6V0LY4WV3w6U7So344pfD6RJZLctE8LHHqJ3jrtmMdjJhOZ+ziomVCK0T
 ggt4NVzY9AHnuf96dO3E/v5j7/ua97/3g03fl0/vf+AVPPDAfbcOZrcDT+eK
 Cr7UhgKznvncc3rmaVvPdAemu9AnePghmDbFnLs1sA/PHsLePrzuYcLTT3Gh
 bTmqAo33VDkRUsLnjEORgCv/fMtD1vJ8w9tf+d7JuNmExd987OMbdol4vPM4
 X4F5qrrBzFPVo/JajYGAD+PCnYJj74IxnQrLJdxxedjC3LTRgJddhNGb4JOP
 I7MZO1XFqG2puh6vw2TaDKeKBE0kF6hvtT4Cq+X16rt/8B332HqhYca73vVN
 m+7NtLh7027qdiew5vYxFkv3fenSzk6F69dgvoQHqzJylJssVwx3YQyzXfCB
 IIIvAVHAzjtgGH2GqirVeNvID7AIWH5u57HHXnQhVD2bEf3wKpuR/UA3vAgB
 xJtIEOdqnGvwvgYXRHCkHCSmGudr98D98OpXIikXYezcGEkEnr4B8zmkSDIj
 hYAiqAgmEVsPPILc0v+ux9kiJvuXXn/48X/mwWFk7MThnODF47zgvSc4h3eO
 4BzBCZUIlRm1wciUkXOMm4adyYTZbZe4sH+Blwh297Vr8oA4bnvVFxc7TKst
 BFw7hRsvYNevweEh85hoTeljJMVINlBKTbWwLkBrJTZwiiCCm47YETd0m2XV
 44b5vcfwlvExETACQvCOqqqox2Pq8YRmOqEJFZUp/sYN5No18u0vkeWdlzl8
 8klmJ6fUfYavfRT2x3Ca4Ppz2OOPI4cHdDtTDo+PWczndAjRe7IpOUU0KxYG
 Pr8dyZZx+3p9aqpAHiaNw5Zk2AiaCPiAVQGrKqyuy2sIaAilM71xg9y2pBCI
 e/t0d97JKiunn/gkN+79Iup/+gfuetWDhI/8GfKVb4anPg8nJ3B2SpcTzz77
 HIc7U+azPVbLBd1yRZ8iyTlyqNCwHm1wEyRuXzfbwC1VsBCwEDZ/4zzmfZkY
 54ytVmjXYUD2nrSzQ5xO6c3ojk9YvPgC4eUvJ1y9CqMR7eEBF87O2Pm3C4Tn
 nyf1kfl0yuGzz3I4mXBweMg8BJajEd10Qmxbct+jqyU5rIe0w0B1M3t1DhNX
 lmzODQKWTeZ6zWSujLgtJ6xtsdijaqiAek8eT0iTMcGM1HX0yyXtaoW/fBn3
 zDOFqU8mLEPFUc6M5nP8YkFSpZ33LO67j/kTTzCfTJivViy7nq6uiCEQRQYv
 lM1IacCEsvUYBBPnMOdRJ2XhIALeYQiWC32wlIrVzVDncN6jdYOOR2QRfN+T
 ENzZHKeKu3QJuXEDO1ugly4SY2R1dESTlWq5xKWExkjfR7p0xGo2Y3l6yrKu
 WbUtbUp0wRNDIHlPCiFshEXOsUopMS7np8xm0PXYsJUx1eIBGTxUVWhdk73H
 xUgWRzLFnZ6WFe7eHjKfw2KB1TW5ben3L7A6PqJqGnzb4VTRtiWJEJcd3cUL
 dPM5XdvShkDX98Q+k1IihkAO3pdwGFBIBsGHWlySWBXL5TcTprmsuIb9rTmH
 hoDUNeLK7yucKlkEST1ytkCaGnZ2kFULizMsKzoblbDSTJsSwQdc35VNZN+T
 q4psSv/CC8SLF4nXr9MZRB/oU6SPqazsbq0DhpS1a9ZSVYafBxRru+1eWwbB
 q1Csb2ApoiJkEVgukRiLYuMJ0vUb4W0yRhcL0mRC6DqCKl4zLsayjVFFUyKn
 RFIjA3F3Rjw+ItU1vfckjaRspLAe2q4nz8TNjNTMzhVHGYQXLATEByx4FJCU
 UayEYUpI2yKq5LpGRiMkRVguS66IYFVFbltCVeEXi0ITcsYN40wzQ1OiADjo
 8TFpNiO1K+JySW5GJf5TQkNKw+p/+0ONzRJ+EFqQbXKHUNAHht9SGCrlJxra
 9UjXFTZe1Uhdk7LCclEsj2HjCbpc4quKpIrv+0Jac0ZSQmIsouSEeY9qJpuR
 l0vSzg45plJXRg3qPem/AJvkaAmE7bPIAAAAAElFTkSuQmCC
 ====
